%define oname pygobject

%define api 2.0
%define major 0
%define libname %mklibname pyglib %api %major

%define url_ver	%(echo %{version}|cut -d. -f1,2)

# ChangeLog breaks autogenerated typelib() requires
%define _exclude_files_from_autoreq %{_docdir}/%{name}/ChangeLog

Summary: GObject Python bindings
Name: python-gobject
Version: 2.28.6
Release: %mkrel 12
Source0: https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
Patch: pygobject-2.16.1-fixdetection.patch
Patch2: pygobject-2.26.0-format-strings.patch
Patch3: pygobject-2.21.1-fix-link.patch
Patch4: pygobject-2.28.6-type.patch
Patch5: pygobject-2.28.6-historyentry.patch
License: LGPLv2+
Group: Development/Python
Url: http://www.gnome.org
BuildRequires: python-devel
BuildRequires: glib2-devel >= 2.23.0-3
BuildRequires: ffi5-devel
BuildRequires: python-cairo-devel
BuildRequires: gtk-doc
BuildRequires: automake
Conflicts: pygtk2.0 < 2.8.3
Provides:       python-gobject2 = %{version}-%release

%description
This archive contains bindings for the GObject, to be used in Python
It is a fairly complete set of bindings, it's already rather useful, 
and is usable to write moderately complex programs.  (see the
examples directory for some examples of the simpler programs you could
write).

%package -n %libname
Group: System/Libraries
Summary: Python Glib bindings shared library

%description -n %libname
This archive contains bindings for the GObject, to be used in Python
It is a fairly complete set of bindings, it's already rather useful, 
and is usable to write moderately complex programs.  (see the
examples directory for some examples of the simpler programs you could
write).

%package devel
Group: Development/C
Summary: Python-gobject development files
Requires: %name = %version-%release
Requires: %libname = %version-%release
#gw requires.private in the pkg-config file
Requires: ffi5-devel

%description devel
This contains the python-gobject development files, including C
header, pkg-config file, gtk-doc generated API documentation and a code
generation tool.

%prep
%setup -q -n %oname-%version
%patch -p1 -b .fixdetection
%patch3 -p0
%patch4
%patch5 -p1

%build
%configure2_5x --disable-introspection
%make

%install
%makeinstall_std

#gw this must be executable, it is used for building docs, e.g. in pyclutter
chmod 755 %buildroot%_datadir/pygobject/xsl/fixxref.py

find %{buildroot} -name '*.la' -delete

%files
%doc README NEWS AUTHORS ChangeLog
%py_platsitedir/pygtk*
%py_platsitedir/gtk-2.0
%py_platsitedir/glib
%py_platsitedir/gobject

%files -n %libname
%_libdir/libpyglib-%api-python.so.%{major}*

%files devel
%_bindir/pygobject-codegen-2.0
%_libdir/pkgconfig/*.pc
%_libdir/libpyglib-%api-python.so
%_includedir/pygtk-2.0/
%_datadir/gtk-doc/html/pygobject/
%_datadir/pygobject


%changelog
* Mon Nov 18 2013 philippem <philippem> 2.28.6-12.mga4
+ Revision: 551725
- allow old pygtk applications to work with pygobject 2.28.x and glib 2.35.x (fix mga#11482)
- allow old pygtk applications to work with pygobject 2.28.x and glib 2.35.x (fix mga#11482)

* Sat Oct 19 2013 wally <wally> 2.28.6-11.mga4
+ Revision: 533584
- fix autogenerated typelib() requires

* Sat Oct 19 2013 umeabot <umeabot> 2.28.6-10.mga4
+ Revision: 523623
- Mageia 4 Mass Rebuild

* Tue May 21 2013 philippem <philippem> 2.28.6-9.mga4
+ Revision: 413596
- fix #10176 wrong types for 3 elements

* Sun Jan 13 2013 umeabot <umeabot> 2.28.6-8.mga3
+ Revision: 378928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 luigiwalser <luigiwalser> 2.28.6-7.mga3
+ Revision: 278991
- rebuild for libffi

* Wed Feb 22 2012 ovitters <ovitters> 2.28.6-6.mga2
+ Revision: 212224
- clean spec

* Wed Sep 21 2011 fwang <fwang> 2.28.6-5.mga2
+ Revision: 146250
- drop .la files
- disable introspection, as it will supported by pygobject3
- rebuild
- more linkage fix

* Sun Jun 19 2011 dmorgan <dmorgan> 2.28.6-2.mga2
+ Revision: 109525
- Create a python-gobject-cairo subpackage
- Remove %%clean section

* Mon Jun 13 2011 dmorgan <dmorgan> 2.28.6-1.mga2
+ Revision: 105869
- New version 2.28.6

* Sun Jan 16 2011 pterjan <pterjan> 2.26.0-4.mga1
+ Revision: 20601
- Rebuild for python 2.7

* Thu Jan 13 2011 ahmad <ahmad> 2.26.0-3.mga1
+ Revision: 8447
- fix BR
- drop old/uneeded scriptlets
- imported package python-gobject

